Bug 65359 - PCMCIA/builtin PCI network detection order problem
PCMCIA/builtin PCI network detection order problem
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: installer (Show other bugs)
7.3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-05-22 14:41 EDT by Need Real Name
Modified: 2007-04-18 12:42 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-04-24 13:59:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2002-05-22 14:41:02 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.0; Q312461; .NET 
CLR 1.0.3705)

Description of problem:
On machines that have more than one network card -- where at least one is a 
hardware/onboard card and one is a PCMCIA card, the installer detects and 
assigns the first ethernet interface to the PCMCIA card (e.g., with a wireless 
PCMCIA card inserted, it assigns it eth0 and the onboard NIC gets eth1).

However, once the installation process is complete and a reboot occurs, the 
order of the interfaces will change -- eth0 and eth1 will be swapped, with the 
PCMCIA card assuming the network settings for eth1 and the hardware card 
assigned eth0.

For a lot of laptops out there, this causes some problems -- especially those 
like the Toshiba Tecras that have both onboard ethernet and a MiniPCI (PCMCIA-
type) wireless LAN card built in.


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Obtain laptop with built-in ethernet port.
2. Insert PCMCIA network card (any type).
3. Run installer - PCMCIA detects first, assigned eth0 -- then hardware 
detected, assigned eth1.
4. Complete installation. (For a good test, apply _static_ settings to both 
cards and mark them to come up on boot.)
5. Reboot.
6. System will come up with hardware card assigned eth0 settings and PCMCIA 
assigned eth1.
	

Actual Results:  eth0 and eth1 hardware swaps places on reboot after install.

Expected Results:  The detected PCMCIA cards should be assigned network 
interfaces AFTER any on-board cards. This is the behavior of a fully-installed 
system after reboot.

Additional info:
Comment 1 Jeremy Katz 2002-08-19 15:00:02 EDT
Wireless modules removed from the driver disks which should work around this
problem since we don't support installing from them anyway
Comment 2 Michael Fulbright 2002-12-20 12:38:25 EST
Time tracking values updated
Comment 3 Jeremy Katz 2006-04-24 13:59:30 EDT
Mass-closing lots of old bugs which are in MODIFIED (and thus presumed to be
fixed).  If any of these are still a problem, please reopen or file a new bug
against the release which they're occurring in so they can be properly tracked.

Note You need to log in before you can comment on or make changes to this bug.